package org.fuseri.modulemail.service;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/mail")
public class MailControler {

    private final MailService service;

    @Autowired
    public MailControler(MailService service) {
        this.service = service;
    }

    @PostMapping()
    public ResponseEntity sendMail(@RequestBody EmailDto emailDto) {
        return ResponseEntity.ok(service.send(emailDto));
    }


}
